
Foreman - Bug #4642

Intermittent test failures on rundeck functional tests

03/12/2014 11:26 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Tests   

Target version: 1.6.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1683

  

Description

undefined method `[]' for nil:NilClass (NoMethodError)

/var/lib/workspace/workspace/test_develop/database/postgresql/ruby/1.8.7/test/functional/hosts_con

troller_test.rb:729:in `test_0059_index returns YAML output for rundeck'

 
Expected nil to be a kind of Hash, not NilClass. (test_0060_show returns YAML output for rundeck)

/var/lib/workspace/workspace/test_develop/database/postgresql/ruby/1.8.7/test/functional/hosts_con

troller_test.rb:736    

 http://ci.theforeman.org/job/test_develop/569/

History

#1 - 07/23/2014 04:00 AM - Dominic Cleal

- Target version set to 1.8.0

#2 - 07/30/2014 06:49 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#3 - 08/13/2014 02:57 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#4 - 08/18/2014 04:27 AM - Ori Rabin

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1683 added

- Pull request deleted ()

#5 - 08/20/2014 06:49 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#6 - 09/10/2014 07:20 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#7 - 09/15/2014 06:54 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 22

Merged in https://github.com/theforeman/foreman/commit/c0717c087b0cf952fadcdfce6b09a27305bb3b91, missing "#" in commit message.
